#include <tigcclib.h>

#define SAVE_STATE

// Main Function
void _main(void)
{
	unsigned char sprite[] = {		// The sprite
		0b00011100, 
		0b00000010, 
		0b10001100, 
		0b00111101, 
		0b01101011, 
		0b10100101, 
		0b11110111, 
		0b11111000};
	int i = 0;
	int key = 0;
	int esc = KEY_ESC;
	int f1 = KEY_F1;
	int f2 = KEY_F2;
	
	ClrScr();				// Clear the screen
	Sprite8(random(LCD_WIDTH), random(LCD_HEIGHT), 8, sprite, LCD_MEM, SPRT_XOR);	// XOR the sprite in random places
	while(key != esc)		// Input loop
	{
		if(kbhit())
		{
			key = ngetchx();
			if(key == f1)		// Stop XORing the sprite
			{
				i = 1;
			}
			if(key == f2)		// Continue XORing the sprite again
			{
				i = 2;
			}
		}
		if(i != 1)		// Check if we can XOR the sprite
		{
			Sprite8(random(LCD_WIDTH), random(LCD_HEIGHT), 8, sprite, LCD_MEM, SPRT_XOR);
		}
	}
}